Apache Tomcat 6.0.53

## org.apache.tomcat.jni
Interface BIOCallback

    public interface BIOCallback

Open SSL BIO Callback Interface

Author:
  Mladen Turk

Method Summary
`java.lang.String` | `gets(int len)` Read string up to the len or CLRLF
`int` | `puts(java.lang.String data)` Puts string
`int` | `read(byte[] buf)` Read data
`int` | `write(byte[] buf)` Write data

Method Detail

### write

    int write(byte[] buf)

  Write data

  Parameters:
    `buf` - containing the bytes to write.
  Returns:
    Number of characters written.

### read

    int read(byte[] buf)

  Read data

  Parameters:
    `buf` - buffer to store the read bytes.
  Returns:
    number of bytes read.

### puts

    int puts(java.lang.String data)

  Puts string

  Parameters:
    `data` - String to write
  Returns:
    Number of characters written

### gets

    java.lang.String gets(int len)

  Read string up to the len or CLRLF

  Parameters:
    `len` - Maximum number of characters to read
  Returns:
    String with up to len bytes read

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.